package com.nokia.tsl_data;

import java.util.List;
import java.util.Map;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.tsl_data.dao.MobileCompDao;
import com.nokia.tsl_data.service.TslTaskService;

@SpringBootTest
public class TslDataApplicationTest {

    @Autowired
    private TslTaskService tslTaskService;

    @Test
    void test2() {
        tslTaskService.doTask("20231022");
    }

    @Autowired
    private MobileCompDao mobileCompDao;

    @Test
    void test() {
        List<Map<String, Object>> selectRepeatTsCountForPreDay = mobileCompDao.selectRepeatTsCountForPreDay("20231022");
        for (Map<String,Object> map : selectRepeatTsCountForPreDay) {
            System.out.println(map);
        }
    }
}
